(***********************************************************************)
(*                                                                     *)
(*                               TAToo                                 *)
(*                                                                     *)
(*                     Kim Nguyen, LRI UMR8623                         *)
(*                   Université Paris-Sud & CNRS                       *)
(*                                                                     *)
(*  Copyright 2010-2012 Université Paris-Sud and Centre National de la *)
(*  Recherche Scientifique. All rights reserved.  This file is         *)
(*  distributed under the terms of the GNU Lesser General Public       *)
(*  License, with the special exception on linking described in file   *)
(*  ../LICENSE.                                                        *)
(*                                                                     *)
(***********************************************************************)

(** Implementation of sets of Qualified Names that can be finite
    or cofinite *)

include FiniteCofinite.S with type elt = QName.t
include Common_sig.Printable with type t := t
val star : t
val text : t
val node : t

module Weak :
sig
  include FiniteCofinite.S with type elt = QName.t
  include Common_sig.Printable with type t := t
  val star : t
  val text : t
  val node : t
end
